#version 330 core

layout (location = 0) in vec2 vert_position;
layout (location = 1) in vec2 vert_texcoord;

uniform mat4 MVP;

out vec2 frag_texcoord;

void main()
{
        gl_Position = MVP * vec4(vert_position, 0.0, 1.0);
        frag_texcoord = vert_texcoord;
}

