
Inventories
===========

All inventory management in the game is to be done with a simple menu following
this structure:

| left side             | right side            |
|-----------------------|-----------------------|
| item item item item   | item item item item   |
| item item item item   | item item item item   |
| item item item item   | item item item item   |

To the left, there's the player inventory, with each line corresponding to a
stack of XX items.

To the right you will have different things depending on what you were looking
at when the inventory opened.

When you left click on any slot:

* if holding nothing, pick all the items on the slot
* if holding the same thing as the slot, merge your hand on the slot
* if holding something else, swap your hand and the slot

When you right click on any slot:

* if holding nothing, pick half the items on the slot
* if holding the same thing as the slot, or the slot is empty drop one item on the slot
* if holding something else, swap your hand and the slot.

NOTE: in the original mc shift-clicking has additional effects.
check if i want them

Fun idea: a player may overburden and carry up to double their default
capacity, but if they are hit, run, or jump, items start falling.
Over-overburdening makes items fall when walking, or breaking blocks,
and over-over-overburdening makes them fall even when crouching or placing.

## Debug Inventory

Just a list of every possible item in the game

Clicking on the right side works differently from inventories

* if you were holding nothing, you hold one item of the clicked type
* if you were holding the same type, you hold one more
* if you were holding something else, you hold nothing

## Recipe Inventory

An inventory where the right side gives you recipes to transform your currently
held items.

Left clicking on the right side will add the results of the crafted recipe to
the left side and substract the used ingredients.

The same menu would open when you interact with crafting benches and mobs with
a trading list, only in that case you get a different recipe list.

## Container Inventory

Two inventories side by side; the right one is the inventory of whatever thing
you were looking at when you opened yours.

* used when interacting with containers
* used when interacting with blocks that *transform* their inventory over time

Different containers might have different limitations as to what kind of items
they can hold and how many

Specific containers will transform the items they hold inside after a certain
amount of time. this can be signalled by a progress bar in either the full
container or each item stack. When the bar fills the items inside are
transformed.

